<div class="upload-img-wrap">
  <div class="commen-header-popup">
    <div class="commen-header-popup-start">
      <div class="commen-header-txt-v1">{{'lableUploadImage' | translate: lang}}</div>    
    </div>  
    <div class="commen-header-popup-end">     
      <button class="m-rt" [disabled]="!croppedImageData" (click)="saveUserImages()" mat-raised-button color="primary">{{ 'buttonSave' | translate:lang }}</button>
      <button [mat-dialog-close]="true" mat-raised-button color="primary">{{ 'buttonCancel' | translate:lang }}</button>
    </div>
  </div>
  <div class="m-bt">
    <mat-progress-bar mode="determinate" [value]="progress"></mat-progress-bar>
</div>
<div class="image-wrap">
  <div class="common-browse_btn_cont">
    <input [accept]="acceptImageTypes" (change)="onSelectFile($event)" type="file" alt="" onclick="this.value=null;" [title]="'lableUploadImage' | translate:lang">
    <input type="hidden" name="fileHidden" readonly />
    <button mat-raised-button color="primary">{{ 'lableUploadImage' | translate:lang }}</button>
  </div>
  <div class="image-resolution" > {{'labelMinImgResolution' | translate: lang}} {{imageValidation.MIN_RESOLUTION}}*{{imageValidation.MIN_RESOLUTION}} | {{'labelMaxImgResolution' | translate: lang}} {{imageValidation.MAX_RESOLUTION}}*{{imageValidation.MAX_RESOLUTION}} </div> 
</div>
  <app-image-crop [imageChangedEvent]="imageData" [resolution]="100" (croppedImageEvent)="getImageData($event)"></app-image-crop>
</div>

